.section-icon {
    max-width: 150px;
    margin: auto;
    padding-block-start: 58px;
}

.section-heading {
    padding-block: 0 36px;

    .container {
        text-align: start;
    }
}

.rooms {
    display: flex;
    flex-direction: column;
    gap: 52px;
}

.single-room {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 60px 80px 42px;
    background-color: hsla(49, 52%, 96%, 1);
    border-radius: 10px;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.05);
    position: relative;

    .deco-img {
        position: absolute;
        bottom: 0;
        left: 0;
        z-index: -1;
        max-width: 500px;
        -o-object-fit: contain;
        object-fit: contain;
    }

    &:nth-of-type(3n + 1) .deco-img {
        right: 0;
        left: auto;
    }

    .top {
        display: flex;
        justify-content: center;
        gap: 26px;

        .right .main-img {
            border-radius: 10px;
            width: 100%;
            aspect-ratio: 1;
            object-fit: cover;
            display: block;
        }

        .left {
            flex: 0 0 auto;
            max-width: 500px;
        }
    }

    .room-gallery:not(.swiper-initialized) .swiper-wrapper {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 26px;
    }

    .room-gallery:not(.swiper-initialized)~.swiper-button-prev,
    .room-gallery:not(.swiper-initialized)~.swiper-button-next {
        display: none;
    }

    .room-gallery-container {
        position: relative;
    }

    .swiper-button-prev,
    .swiper-button-next {
        --swiper-navigation-size: 26px;
        --swiper-navigation-sides-offset: -13px;
        width: var(--swiper-navigation-size);
        border-radius: 100%;
        background-color: hsla(49, 52%, 96%, 1);
        transition-property: background-color, box-shadow;
        transition-duration: 0.25s;
        transition-timing-function: ease-in-out;

        &:hover {
            box-shadow: 0px 0px 6px 1px rgba(0, 0, 0, 0.2);
        }

        svg {
            height: 10px;
        }
    }

    .swiper-button-prev::after,
    .swiper-button-next::after {
        content: unset;
    }

    .room-gallery img {
        width: 100%;
        aspect-ratio: 1;
        border-radius: 10px;
    }

    .room-content {
        padding-inline: 10px;
        max-width: 470px;

        h2 {
            font-size: var(--fs-18px);
            margin-top: 24px;
        }

        hr {
            max-width: 340px;
        }

        .room-amenities {
            display: flex;
            flex-wrap: wrap;
            gap: 12px 24px;
            margin-block-start: 30px;

            .amenity {
                display: inline-flex;
                align-items: center;
                flex-direction: column;
                gap: 0.375rem;
                font-size: var(--fs-11px);
                color: var(--color-base);
                font-weight: 400;

                img {
                    width: 24px;
                    height: 24px;
                }
            }
        }
    }

    .bottom {
        width: 100%;
        margin-top: 50px;

        .link-wrapper {
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .btn {
            max-width: 324px;
            width: 100%;
        }
    }
}

@media (max-width: 1023px) {
    .single-room {
        padding: 40px 32px;

        .top,
        .bottom {
            max-width: 500px;
            width: 100%;
        }

        .top {
            flex-direction: column;
            align-items: center;
            gap: 16px;

            .right {
                width: 100%;
            }
        }

        .bottom .btn {
            max-width: 100%;
        }
    }
}

@media (max-width: 767px) {
    .single-room {
        padding: 28px 20px 32px;

        .top {
            flex-direction: column;
            align-items: center;
            gap: 16px;

            .left {
                max-width: 100%;
            }
        }

        .room-gallery:not(.swiper-initialized) .swiper-wrapper {
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 10px;
        }

        .right .main-img {
            width: 100%;
            height: auto;
            aspect-ratio: 1;
        }

        .room-gallery .swiper-button-prev,
        .room-gallery .swiper-button-next {
            display: none;
        }

        .room-content {
            padding-inline: 0;
            max-width: 100%;
        }

        .bottom .btn {
            max-width: 100%;
            margin-top: 28px;
        }
    }
}